## XfceMenuElement

XfceMenuElement

## Synopsis

    #include <libxfce4menu/libxfce4menu.h>

                        XfceMenuElement;
                        XfceMenuElementIface;
    const gchar*        xfce_menu_element_get_name          (XfceMenuElement *element);
    const gchar*        xfce_menu_element_get_icon_name     (XfceMenuElement *element);

## Object Hierarchy

      GInterface
       +----XfceMenuElement

## Prerequisites

XfceMenuElement requires GObject.

## Known Implementations

XfceMenuElement is implemented by XfceMenuSeparator, XfceMenu and XfceMenuItem.

## Description

## Details

### XfceMenuElement

    typedef struct _XfceMenuElement XfceMenuElement;

### XfceMenuElementIface

    typedef struct {
      GTypeInterface __parent__;

      /* Virtual methods */
      const gchar *(*get_name)      (XfceMenuElement *element);
      const gchar *(*get_icon_name) (XfceMenuElement *element);
    } XfceMenuElementIface;

### xfce_menu_element_get_name ()

    const gchar*        xfce_menu_element_get_name          (XfceMenuElement *element);

`element` : |
Returns : |

### xfce_menu_element_get_icon_name ()

    const gchar*        xfce_menu_element_get_icon_name     (XfceMenuElement *element);

`element` : |
Returns : |